Skip to main content

Update Lease: Entrata

PUThttps://api.propexo.com/v1/leases/entrata/:lease_id
Method
leases/updateLease

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    property_idstring

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    resident_idstring

    The Propexo unique identifier for the resident

    scheduled_move_in_datestring<date-time>

    The move-in date associated with the lease

    first_namestring

    The first name associated with the resident

    last_namestring

    The last name associated with the resident

    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    email_1string<email>

    The primary email address associated with the resident

    phone_1string

    Primary phone number associated with the resident

    date_of_birthstring<date-time>

    The date of birth associated with the resident

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    property_idstring

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    resident_idstring

    The Propexo unique identifier for the resident

    scheduled_move_in_datestring<date-time>

    The move-in date associated with the lease

    first_namestring

    The first name associated with the resident

    last_namestring

    The last name associated with the resident

    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    email_1string<email>

    The primary email address associated with the resident

    phone_1string

    Primary phone number associated with the resident

    date_of_birthstring<date-time>

    The date of birth associated with the resident

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/entrata/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/entrata/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_id": "string",
"unit_id": "string",
"resident_id": "string",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"email_1": "[email protected]",
"phone_1": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"property_id": "string",
"unit_id": "string",
"resident_id": "string",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"email_1": "[email protected]",
"phone_1": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z"
}
}